cc.funkemunky.api.utils.json

## Class JSONException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - cc.funkemunky.api.utils.json.JSONException

All Implemented Interfaces:
  java.io.Serializable

    public class JSONException
    extends java.lang.Exception

The JSONException is thrown by the JSON.org classes when things are amiss.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JSONException(java.lang.String message)` Constructs a JSONException with an explanatory message.
`JSONException(java.lang.Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Throwable` `getCause()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JSONException

    public JSONException(java.lang.String message)

Constructs a JSONException with an explanatory message.

Parameters:
  `message` - Detail about the reason for the exception.

#### JSONException

    public JSONException(java.lang.Throwable cause)

### Method Detail

#### getCause

    public java.lang.Throwable getCause()

Overrides:
  `getCause` in class `java.lang.Throwable`